commit e93d15284a74b47e4b599341300a47aed9ba9177
parent 3bb19eb43832f732bfd47cb83dbc49c2525d3ac6
Author: Martin Schanzenbach <schanzen@gnunet.org>
Date: Fri, 10 Apr 2026 22:07:49 +0200
ci: fix CI locally, remote podman still acting up
Diffstat:
8 files changed, 34 insertions(+), 12 deletions(-)
diff --git a/contrib/ci/ci.sh b/contrib/ci/ci.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
set -exvuo pipefail
# Requires podman
diff --git a/contrib/ci/jobs/000-codespell/skip.txt b/contrib/ci/jobs/000-codespell/skip.txt
@@ -1,4 +1,5 @@
ABOUT-NLS
+*build/*
*/afl-tests/*
**/auditor/*.sql
**/templating/test-specs/*
diff --git a/contrib/ci/jobs/002-test/4-test.sh b/contrib/ci/jobs/002-test/4-test.sh
@@ -19,11 +19,8 @@ check_command()
print_logs()
{
set +e
- for i in build/meson-logs/testlog.txt
- do
- echo "Printing ${i}"
- cat "$i"
- done
+ echo "Printing meson log"
+ cat build/meson-logs/testlog.txt
}
if ! check_command ; then
diff --git a/contrib/ci/jobs/002-test/5-coverage.sh b/contrib/ci/jobs/002-test/5-coverage.sh
@@ -3,7 +3,7 @@ set -evux
ARTIFACT_PATH="/artifacts/exchange/lcov/${CI_COMMIT_REF}/exchange"
mkdir -p /artifacts/exchange/lcov/${CI_COMMIT_REF} # Variable comes from CI environment
-lcov --capture --directory . --output-file coverage.info || exit 1
+lcov --ignore-errors version --capture --directory . --output-file coverage.info || exit 1
genhtml coverage.info --output-directory ${ARTIFACT_PATH} || exit 1
diff --git a/flake.nix b/flake.nix
@@ -97,6 +97,7 @@
pkgs.typst # optional
pkgs.pdftk # optional
pkgs.doxygen
+ pkgs.libfaketime
];
shellHook = ''
diff --git a/src/auditor/test-sync.sh b/src/auditor/test-sync.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
#
# This file is part of TALER
# Copyright (C) 2014-2023 Taler Systems SA
@@ -55,7 +55,7 @@ function perform_initdb() {
if [[ -n "$INITDB_BIN" ]]; then
echo " FOUND (in path) at $INITDB_BIN"
else
- HAVE_INITDB=$(find /usr -name "initdb" | head -1 2> /dev/null | grep postgres) || exit_skip " MISSING"
+ HAVE_INITDB=$(find / -name "initdb" | head -1 2> /dev/null | grep postgres) || exit_skip " MISSING"
echo " FOUND at " "$(dirname "$HAVE_INITDB")"
INITDB_BIN=$(echo "$HAVE_INITDB" | grep bin/initdb | grep postgres | sort -n | tail -n1)
fi
diff --git a/src/exchange/test_taler_exchange_httpd.sh b/src/exchange/test_taler_exchange_httpd.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
#
# This file is part of TALER
# Copyright (C) 2015-2020, 2023 Taler Systems SA
diff --git a/src/testing/meson.build b/src/testing/meson.build
@@ -242,6 +242,7 @@ test(
test_auditor_api_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -270,6 +271,7 @@ test(
test_auditor_api_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -294,6 +296,7 @@ test(
test_auditor_api_version,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -315,6 +318,7 @@ test(
test_auditor_api_version,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -337,6 +341,7 @@ test(
test_auditor_api_version,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -365,6 +370,7 @@ test(
test_exchange_api_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -393,6 +399,7 @@ test(
test_exchange_api_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -422,6 +429,7 @@ test(
test_exchange_api_age_restriction_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -450,6 +458,7 @@ test(
test_exchange_api_age_restriction_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -478,6 +487,7 @@ test(
test_exchange_api_p2p_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -506,6 +516,7 @@ test(
test_exchange_api_p2p_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -532,6 +543,7 @@ test(
test_exchange_api_keys_cherry_picking_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -558,6 +570,7 @@ test(
test_exchange_api_keys_cherry_picking_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -617,6 +630,7 @@ test(
test_exchange_api_overlapping_keys_bug_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -643,6 +657,7 @@ test(
test_exchange_api_overlapping_keys_bug_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -664,6 +679,7 @@ test(
test_exchange_management_api_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
test_exchange_management_api_rsa = executable(
@@ -684,11 +700,12 @@ test(
test_exchange_management_api_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
test_taler_exchange_aggregator_postgres = executable(
- 'test_taler_exchange_aggregator_postgres',
+ 'test_taler_exchange_aggregator-postgres',
['test_taler_exchange_aggregator.c'],
dependencies: [
libtalertesting_dep,
@@ -711,11 +728,12 @@ test(
test_taler_exchange_aggregator_postgres,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
test_taler_exchange_wirewatch_postgres = executable(
- 'test_taler_exchange_wirewatch_postgres',
+ 'test_taler_exchange_wirewatch-postgres',
['test_taler_exchange_wirewatch.c'],
dependencies: [
libtalertesting_dep,
@@ -740,6 +758,7 @@ test(
test_taler_exchange_wirewatch_postgres,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -771,6 +790,7 @@ if twister_dep.found()
test_exchange_api_twisted_cs,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -800,6 +820,7 @@ if twister_dep.found()
test_exchange_api_twisted_rsa,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
@@ -828,6 +849,7 @@ if twister_dep.found()
test_bank_api_twisted,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)
endif
@@ -858,6 +880,7 @@ test(
test_kyc_api,
workdir: meson.current_build_dir(),
suite: ['testing', 'integrationtests'],
+ is_parallel: false,
)